org.apache.poi.ss.usermodel

## Enum BorderStyle

- java.lang.Object
- - java.lang.Enum<BorderStyle>
  - - org.apache.poi.ss.usermodel.BorderStyle

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<BorderStyle>

      public enum BorderStyle
      extends java.lang.Enum<BorderStyle>

  The enumeration value indicating the line style of a border in a cell, i.e., whether it is bordered dash dot, dash dot dot, dashed, dotted, double, hair, medium, medium dash dot, medium dash dot dot, medium dashed, none, slant dash dot, thick or thin.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DASH_DOT` dash-dot border
    `DASH_DOT_DOT` dash-dot-dot border
    `DASHED` dash border
    `DOTTED` dot border
    `DOUBLE` double-line border
    `HAIR` hair-line border
    `MEDIUM` Medium border
    `MEDIUM_DASH_DOT` medium dash-dot border
    `MEDIUM_DASH_DOT_DOT` medium dash-dot-dot border
    `MEDIUM_DASHED` Medium dashed border
    `NONE` No border (default)
    `SLANTED_DASH_DOT` slanted dash-dot border
    `THICK` Thick border
    `THIN` Thin border

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `short` | `getCode()`
    `static BorderStyle` | `valueOf(short code)`
    `static BorderStyle` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static BorderStyle[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final BorderStyle NONE

      No border (default)

    - #### THIN

          public static final BorderStyle THIN

      Thin border

    - #### MEDIUM

          public static final BorderStyle MEDIUM

      Medium border

    - #### DASHED

          public static final BorderStyle DASHED

      dash border

    - #### DOTTED

          public static final BorderStyle DOTTED

      dot border

    - #### THICK

          public static final BorderStyle THICK

      Thick border

    - #### DOUBLE

          public static final BorderStyle DOUBLE

      double-line border

    - #### HAIR

          public static final BorderStyle HAIR

      hair-line border

    - #### MEDIUM_DASHED

          public static final BorderStyle MEDIUM_DASHED

      Medium dashed border

    - #### DASH_DOT

          public static final BorderStyle DASH_DOT

      dash-dot border

    - #### MEDIUM_DASH_DOT

          public static final BorderStyle MEDIUM_DASH_DOT

      medium dash-dot border

    - #### DASH_DOT_DOT

          public static final BorderStyle DASH_DOT_DOT

      dash-dot-dot border

    - #### MEDIUM_DASH_DOT_DOT

          public static final BorderStyle MEDIUM_DASH_DOT_DOT

      medium dash-dot-dot border

    - #### SLANTED_DASH_DOT

          public static final BorderStyle SLANTED_DASH_DOT

      slanted dash-dot border

  - ### Method Detail

    - #### values

          public static BorderStyle[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BorderStyle c : BorderStyle.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BorderStyle valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public short getCode()

    - #### valueOf

          public static BorderStyle valueOf(short code)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.